/**
 * Dependencies
 */
var Email = require("./types/email")
var config = require("./config");

module.exports = function(appId, privateKey, production) {
	if (!appId || !privateKey) {
		throw new Exception("appId or privateKey are missing");
	}

	config.set("appId", appId);
	config.set("privateKey", privateKey);
	if (production) {
		config.set("production", true)
	}

	return {
		email: new Email(),
	}
}
