var config = require("../config");

describe("Start", function() {

	before(function(done) {

		this.timeout(60000);

		var prompt = require('prompt');

		prompt.get(['App ID', 'Private Key'], (err, result) => {
			try {
				this.hubx = require("../index")(result["App ID"], result["Private Key"]);
				done()
			} catch(e) {
				done(e);
			}
	  });

	})

	it("should have the appId config property", function(done) {
		var appId = config.get("appId");
		appId.should.be.a.String();
		done();
	})

	it("should have the privateKey config property", function(done) {
		var privateKey = config.get("privateKey");
		privateKey.should.be.a.String();
		done();
	})

})
